Package Details: nushell-bin 0.16.0-1

Git Clone URL: https://aur.archlinux.org/nushell-bin.git (read-only, click to copy)
Package Base: nushell-bin
Description: A shell for the GitHub era
Upstream URL: http://nushell.sh
Keywords: nu shell
Licenses: MIT
Conflicts: nushell
Submitter: onlineamateur
Maintainer: onlineamateur (TheGoliath)
Last Packager: onlineamateur
Votes: 10
Popularity: 1.69
First Submitted: 2019-08-28 13:40
Last Updated: 2020-07-02 19:30

Latest Comments

1 2 Next › Last »

onlineamateur commented on 2020-06-15 13:04

Good catch MCOfficer, should be fixed now.

MCOfficer commented on 2020-06-15 12:58

pkgrel is 1 in PKGBUILD, 2 in .SRCINFO. As a result, this package is constantly displayed as "update available".

TheGoliath commented on 2020-06-11 11:35

I'd like to co-maintain the package :)

mystal commented on 2020-06-10 16:47

Here's an updated PKGBUILD for the latest 0.15 release. I added libgit2 as a dependency and updated the hash.

https://gist.github.com/mystal/a0ceb945141d36e0d1bf64676d0d256e

onlineamateur commented on 2020-04-25 15:41

@simonsilva I've added a post install script to add nu to /etc/shells

simonsilva commented on 2020-04-24 09:12

With chsh -s /usr/bin/nu -a /usr/bin/shell $USER I can't change my shell to nu because it has not entry in /etc/shells. Maybe the entry should be created at installation.

lihram commented on 2020-04-02 09:27

My diff to get the PKGBUILD working for 0.12.0:

diff --git a/PKGBUILD b/PKGBUILD
index 056f818..15ce950 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,8 +2,8 @@
 # Based on nushell package, but uses prebuilt binary

 pkgname=nushell-bin
-pkgver=0.11.0
-_underscoredpkgver=0_11_0
+pkgver=0.12.0
+_underscoredpkgver=0_12_0
 pkgrel=1
 depends=('zlib')
 optdepends=('libxcb' 'libx11')
@@ -14,7 +14,7 @@ source=("$pkgname-$pkgver.tar.gz::https://github.com/nushell/nushell/releases/do
         'nu-wrapper')
 url="http://nushell.sh"
 license=('MIT')
-sha256sums=('01894e0cb0876d00a0fe50a89fa5365c5acdf4feb1f8e089f8fa3c918513b670'
+sha256sums=('ff33f19ce3f6eee0b133cbfcce7c8151b3fa32e448f72a4a0f3c999e4aaf7f0d'
             '7833deeeb802bd9f6a11c7509cf930efc3c7e8ef314b56b9df022b90ca42c5f6')

onlineamateur commented on 2019-11-27 13:35

The nushell team is now issuing releases with a bundled version of libssl. I've implemented a custom wrapper to use this instead of the system version to work around the dependency conflict.

onlineamateur commented on 2019-09-26 12:55

The new 0.3 release doesn't run on Arch. I've opened an issue to see if they can get this fixed, but in the meantime people can build from source with https://aur.archlinux.org/packages/nushell/

onlineamateur commented on 2019-08-29 16:34

Thanks for flagging @xolst, I just blindly copied the PKGBUILD from nushell. I've updated to depend on openssl-1.0 instead.